<?php
#----------------------------------------------------------#
# ID作成
#----------------------------------------------------------#
function id_makeR(){
global $disp,$Q,$SET,$html_msg;

#--------------------------------------#
# 旗とアイコン出力
#--------------------------------------#
#icon
$i=0;
foreach($SET[list_icon] as $icon){
	$html_icon.="<option value='$icon'>No.$i\n";
	$i++;
}
#flag
$i=0;
foreach($SET[list_flag] as $flag){
	$html_flag.="<option value='$flag'>No.$i\n";
	$i++;
}
#初期設定
$html_flag_url=icon_url($SET[list_flag][0]);
$html_icon_url=icon_url($SET[list_icon][0]);
#--------------------------------------#

$disp.=head();
$disp.=<<<EOF
<script type="text/javascript">
<!--
function check(){
	if(document.form.id.value == ''){
		window.alert("IDが未入力です。");
		return false;
	}else if(document.form.pass.value == ''){
		window.alert("パスワードが未入力です。");
		return false;
	}else if(document.form.id.value.match(/[^0-9A-Za-z]+/) != null){
		window.alert("IDに半角英数字以外が入っています。");
		return false;
	}else if(document.form.pl_name.value == ''){
		window.alert("監督名が未入力です。");
		return false;
	}else if(document.form.tm_name.value == ''){
		window.alert("チーム名が未入力です。");
		return false;
	}else{
		if(confirm('登録チェックをします、よろしいですか？')){
			return true;
		}else{
			return false;
		}
	}
}
function icon_check(){
		document.form.icon_image.src='$SET[dir_icon]/'+document.form.pl_icon.value;
}
function flag_check(){
		document.form.flag_image.src='$SET[dir_icon]/'+document.form.tm_flag.value;
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=title('');
$disp.=<<<EOF
<tr><td colspan=2>
登録
<table><form method=POST name=form action="$SET[path_index]"><tr>
<th>ID</th><td><input type=text name='id' value='$Q[id]' style='width:100px;' maxlength=16></td><td style='font-size:small;'>半角英数字16文字まで</td>
</tr><tr>
<th>PASS</th><td><input type=password name='pass' value='$Q[pass]' style='width:100px;' maxlength=16></td><td style='font-size:small;'>半角英数字16文字まで</td>
</tr><tr>
<th>監督名</th><td><input type=text name='pl_name' value='$Q[pl_name]' style='width:100px;' maxlength=12></td><td style='font-size:small;'>12文字まで<br>※あとから変更できます</td>
</tr><tr>
<th>チーム名</th><td><input type=text name='tm_name' value='$Q[tm_name]' style='width:100px;' maxlength=12></td><td style='font-size:small;'>12文字まで<br>※あとから変更できます</td>
<tr><th>チーム旗</th><td colspan=2>
<img name="flag_image" src="$html_flag_url" height=$SET[flag_h]><br>
<select name="tm_flag" onChange="flag_check();">
$html_flag</select><br>
(<a href="$SET[path_index]?r=flag" target="_blank">全チーム旗確認</a>)
</td></tr>
<tr><th>監督アイコン</th><td colspan=2>
<img name="icon_image" src="$html_icon_url" height=$SET[icon_h]><br>
<select name="pl_icon" onChange="icon_check();">
$html_icon</select><br>
(<a href="$SET[path_index]?r=icon" target="_blank">全キャラアイコン確認</a>)
</td></tr><tr>
<td colspan=3><input type=submit value="ID登録" onclick="return check();"><input type=reset value="リセット"><b style='color:red;'>$html_msg</b><br>
<input type=button value="トップに戻る" onclick="location.href='index.php';"></td>
</tr><input type=hidden name='r' value='id_make_check'>
</form></table>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# ID作成チェック
#----------------------------------------------------------#
function id_make_checkR(){
global $disp,$Q,$SET,$html_msg;

$db=sql_open();
#--------------------------------------#
# 同ID検知
#--------------------------------------#
$check1=data_check('id','id',$Q[id]);
$check2=data_check('player','0',$Q[pl_name]);
$check3=data_check('player','1',$Q[tm_name]);

if($check1||$check2||$check3){
	if($check1){$html_msg.="同じIDの人がいます";}
	if($check2){$html_msg.="同じ監督名の人がいます";}
	if($check3){$html_msg.="同じチーム名の人がいます";}
	$Q[id]='';
	id_make();
	disp($disp);
	sql_close($db);
	exit;
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
# 旗とアイコン出力
#--------------------------------------#
#初期設定
$html_flag_url=icon_url($Q[tm_flag]);
$html_icon_url=icon_url($Q[pl_icon]);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=title('');
$disp.=<<<EOF
<tr><td colspan=2>
登録確認
<table><form method=POST><tr>
<th>ID</th><td>$Q[id]<input type=hidden name='id' value='$Q[id]'></td><td>&nbsp;</td>
</tr><tr>
<th>PASS</th><td>$Q[pass]<input type=hidden name='pass' value='$Q[pass]'></td><td>&nbsp;</td>
</tr><tr>
<th>監督名</th><td>$Q[pl_name]<input type=hidden name='pl_name' value='$Q[pl_name]'></td><td>&nbsp;</td>
</tr><tr>
<th>チーム名</th><td>$Q[tm_name]<input type=hidden name='tm_name' value='$Q[tm_name]'></td><td>&nbsp;</td>
</tr><tr>
<th>チーム旗</th><td colspan=2><img name="flag_image" src="$html_flag_url" height="80"><input type=hidden name='tm_flag' value='$Q[tm_flag]'></td>
</tr><tr>
<th>監督アイコン</th><td colspan=2><img name="icon_image" src="$html_icon_url" height="50"><input type=hidden name='pl_icon' value='$Q[pl_icon]'></td>
</tr><tr>
<td colspan=3><input type=submit value="ID登録"><input type=submit value="最初に戻る" onclick="r.value='id_make';"></td>
</tr><input type=hidden name='r' value='id_make_ok'>
</form></table>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# ID作成OK
#----------------------------------------------------------#
function id_make_okR(){
global $disp,$Q,$SET,$html_msg;

$db=sql_open();
#--------------------------------------#
# 同ID/PN/TN検知
#--------------------------------------#
$check1=data_check('id','id',$Q[id]);
$check2=data_check('player','0',$Q[pl_name]);
$check3=data_check('player','1',$Q[tm_name]);

if($check1||$check2||$check3){
	if($check1){$html_msg.="同じIDの人がいます";}
	if($check2){$html_msg.="同じ監督名の人がいます";}
	if($check3){$html_msg.="同じチーム名の人がいます";}
	$Q[id]='';
	id_make();
	disp($disp);
	sql_close($db);
	exit;
}
#--------------------------------------#
# セッション設定
#--------------------------------------#
set_cookie($Q[id],$Q[pass]);
#--------------------------------------#
# ID作成
#--------------------------------------#
$ID=array();
$ID[id]=$Q[id];
$ID[pass]=crypt($Q[pass],$SET[crypt]);

$ID_COL=insert_colum($ID);
$ID_DATA=insert_data($ID);
$sql="INSERT INTO id $ID_COL VALUES $ID_DATA";
mysql_query($sql,$db) or error("IDの作成に失敗しました...接続を確認してください($sql)");
#--------------------------------------#
# 監督データ作成
#--------------------------------------#
$PL=array();
$PL[id]=$Q[id];
$PL[0]=$Q[pl_name];#監督名
$PL[1]=$Q[tm_name];#チーム名
$PL[3]=$_SERVER["REMOTE_ADDR"];
$PL[4]=time();
$PL[5]=$Q[tm_flag];#旗
$PL[6]=$Q[pl_icon];#アイコン
$PL[11]=1500;

$PL_COL=insert_colum($PL);
$PL_DATA=insert_data($PL);
$sql="INSERT INTO player $PL_COL VALUES $PL_DATA";
mysql_query($sql,$db) or error("PLの作成に失敗しました...接続を確認してください($sql)");
#--------------------------------------#
# チームデータ作成
#--------------------------------------#
$TM=array();
$TM[id]=$Q[id];

$TM_COL=insert_colum($TM);
$TM_DATA=insert_data($TM);
mysql_query("INSERT INTO team $TM_COL VALUES $TM_DATA",$db) or error("TMの作成に失敗しました...接続を確認してください");
#--------------------------------------#
# カード生成
#--------------------------------------#
read_file('./r/card_publish.php');
card_publish_nomalR($db,'stN2','B');
card_publish_nomalR($db,'stN3','B');
card_publish_nomalR($db,'stN4','B');
card_publish_nomalR($db,'stN5','B');
card_publish_nomalR($db,'stN6','B');
card_publish_nomalR($db,'stN7','B');
card_publish_nomalR($db,'stN8','B');
card_publish_nomalR($db,'stN9','B');
card_publish_nomalR($db,'stN10','B');
card_publish_nomalR($db,'stN1','P');
card_publish_nomalR($db,'stN12','P');
card_publish_rR($db,'stR','');
card_publish_srR($db,'stSR','');
#--------------------------------------#
sql_close($db);
#--------------------------------------#
# 旗とアイコン出力
#--------------------------------------#
global$dir_icon;
#初期設定
$html_flag_url=icon_url($Q[tm_flag]);
$html_icon_url=icon_url($Q[pl_icon]);
#--------------------------------------#
$disp.=head();
$disp.=html_bar();
$disp.=title('');
$disp.=<<<EOF
<tr><td colspan=2>
<table><tr>
<th>ID</th><td>$Q[id]</td><td style='font-size:small;'>&nbsp;</td>
</tr><tr>
<th>PASS</th><td>$Q[pass]</td><td style='font-size:small;'>*忘れないでください</td>
</tr><tr>
<th>監督名</th><td>$Q[pl_name]<input type=hidden name='pl_name' value='$Q[pl_name]'></td><td>&nbsp;</td>
</tr><tr>
<th>チーム名</th><td>$Q[tm_name]<input type=hidden name='tm_name' value='$Q[tm_name]'></td><td>&nbsp;</td>
</tr><tr>
<th>チーム旗</th><td colspan=2><img name="flag_image" src="$html_flag_url" height="80"><input type=hidden name='tm_flag' value='$Q[tm_flag]'></td>
</tr><tr>
<th>監督アイコン</th><td colspan=2><img name="icon_image" src="$html_icon_url" height="50"><input type=hidden name='pl_icon' value='$Q[pl_icon]'></td>
</tr><tr>
<td colspan=3><input type=button value="トップに戻る" onclick="location.href='index.php';"></td>
</tr></table>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>